Company
Get a company
GET
/
companies
/
{id}
Get a company
curl --request GET \
--url https://api.reelevant.com/v2/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"defaultRoleId": "<string>",
"defaultResourceGroupIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"disabled": true,
"name": "<string>",
"plan": {
"quotas": [
{
"type": "datasource",
"quota": 123,
"subtype": "<string>",
"usage": 123
}
],
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributionPeriod": 123
},
"securityPolicy": {
"password": {
"duration": 123,
"rules": [
{
"type": "special-characters",
"options": {
"minimum": 1,
"maximum": 1
}
}
],
"attempts": {
"maximum": 1,
"lockDuration": 1
}
}
},
"variableProfiles": [
{
"id": "<string>",
"name": "<string>",
"variables": {
"rlvt-u": "<string>",
"rlvt-m": "<string>",
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_term": "<string>"
}
}
],
"retention": 123,
"features": {},
"events": {
"product_page": "<string>",
"add_cart": "<string>",
"purchase": "<string>"
},
"meta": {},
"scim": {
"enabled": true,
"groupSync": true,
"roleSource": "groups",
"roleMapping": [
{
"group": "<string>",
"roleId": "<string>"
}
],
"deprovisionMode": "soft",
"defaultRoleId": "<string>",
"lastSyncAt": "2023-11-07T05:31:56Z"
},
"sso": {
"domains": [
"<string>"
],
"mode": "invitation",
"mandatory": true,
"identityProvider": {
"entityMeta": {
"xmlString": "<string>",
"meta": "<unknown>"
},
"entitySetting": {
"metadata": "<string>",
"entityID": "<string>",
"authnRequestsSigned": true,
"wantAssertionsSigned": true,
"wantMessageSigned": true,
"wantLogoutResponseSigned": true,
"wantLogoutRequestSigned": true,
"privateKey": "<string>",
"privateKeyPass": "<string>",
"isAssertionEncrypted": true,
"requestSignatureAlgorithm": "<string>",
"encPrivateKey": "<string>",
"encPrivateKeyPass": "<string>",
"assertionConsumerService": [
{
"Binding": "<string>",
"Location": "<string>",
"isDefault": true
}
],
"singleLogoutService": [
{
"Binding": "<string>",
"Location": "<string>",
"isDefault": true
}
],
"signatureConfig": {
"prefix": "<string>",
"location": {
"reference": "<string>",
"action": "append"
}
},
"loginRequestTemplate": {
"context": "<string>"
},
"logoutRequestTemplate": {
"context": "<string>"
},
"signingCert": "<string>",
"encryptCert": "<string>",
"transformationAlgorithms": [
"<string>"
],
"nameIDFormat": [
"<string>"
],
"allowCreate": true,
"relayState": "<string>",
"clockDrifts": [
123
],
"loginResponseTemplate": {
"context": "<string>",
"attributes": [
{
"name": "<string>",
"nameFormat": "<string>",
"valueXsiType": "<string>",
"valueTag": "<string>",
"valueXmlnsXs": "<string>",
"valueXmlnsXsi": "<string>"
}
],
"additionalTemplates": {
"attributeStatementTemplate": {
"context": "<string>"
},
"attributeTemplate": {
"context": "<string>"
}
}
},
"generateID": {},
"singleSignOnService": [
{
"Binding": "<string>",
"Location": "<string>",
"isDefault": true
}
],
"messageSigningOrder": "<string>",
"wantAuthnRequestsSigned": true,
"wantLogoutRequestSignedResponseSigned": true,
"tagPrefix": {}
},
"entityType": "<string>"
},
"lastLoginAt": "2023-11-07T05:31:56Z"
},
"custom": {
"colors": [
"<string>"
],
"workflowDomain": "<string>"
}
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
⌘I
Get a company
